Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::view::cpp20_filter_fn Struct Reference

## Description

Given a source range and a unary predicate, present a view of the elements that satisfy the predicate.

Inheritance diagram for ranges::view::cpp20_filter_fn:

## Public Member Functions
template<typename Rng , typename Pred >
constexpr auto | operator() (Rng &&rng, Pred pred) const -> filter_view< all_t< Rng >, Pred > requires ViewableRange< Rng > &&InputRange< Rng > &&IndirectUnaryPredicate< Pred, iterator_t< Rng >>